Rick_6th_Grade_Class.jpg=6th grade class photo ('59-'60). I tried to remember the names of most of the students in the pic. (7 in)Back row, left to right: (Teacher) Miss Goodart, then married during school year and was Mrs. Carroll / Rick Massey / Robert Fernac / Carol ??? - played the accordion / Shirley Akowski - bumped me out of the top of the alphabetical top spot / Linda Podalak - she liked peanut butter & pickle relish sandwiches / & (Steve Stovall help me here) our neighbor down the street 'something' Williams.\
Row 2 - (5) 1st girl ??? / Darlene White / girl half-hidden ? / girl w/bangs ? (wish I could remember!) / Susan something or Marilyn Fox?\
Row 3 - (7) Linda? / Diane Stilley? / Beth Ellsworth / Carolyn Hotze / Tim? - guy w/short dark hair / Larry? - guy w/short light hair / Jim Atchitson (sp?)\
Row 4 - (7) John Moriarity / 2nd guy? / Harold Coast / Larry? - checkered shirt / Dolly Thomas - & actually had quite the 'doll' collection / Charlott Manning / Rhonda Cox?\
Row 5 - Kenny Lunny (sp?) / Steve Ewell / Me / Pat Murphy / Jacob Clausen / Bob O'Brien?
